Package weka.gui.beans

# Class ThresholdDataEvent

java.lang.Object
java.util.EventObject
weka.gui.beans.ThresholdDataEvent

All Implemented Interfaces:
  `Serializable`

public class ThresholdDataEvent extends EventObject
Event encapsulating classifier performance data based on varying a threshold over the classifier's predicted probabilities

Version:
  $Revision: 5751 $
Author:
  Mark Hall
See Also:
  - `EventObject`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ThresholdDataEvent(Object source, PlotData2D dataSet)`
`ThresholdDataEvent(Object source, PlotData2D dataSet, Attribute classAtt)`

## Method Summary

Modifier and Type
Method
Description
`Attribute`
`getClassAttribute()`
Return the class attribute for which the threshold data was generated for.
`PlotData2D`
`getDataSet()`
Return the instances of the data set

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ThresholdDataEvent

public ThresholdDataEvent(Object source, PlotData2D dataSet)

### ThresholdDataEvent

public ThresholdDataEvent(Object source, PlotData2D dataSet, Attribute classAtt)

## Method Details

### getDataSet

public PlotData2D getDataSet()
Return the instances of the data set

Returns:
  an `Instances` value

### getClassAttribute

public Attribute getClassAttribute()
Return the class attribute for which the threshold data was generated for.

Returns:
  the class attribute for the threshold data or null if not set.